package descripcionServlet;

import java.io.IOException;

import javax.naming.InitialContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpSession;

import m05bBD.m05bDescripcion;
import m05bClasses.m05bFileLog;
import m05bDescripcionEJB.m05Descripcion;
import m05bDescripcionEJB.m05DescripcionHome;
import m05bDescripcionEJB.m05DescripcionPK;
/**
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (19/9/03)
 * Fecha de Modificación : (27/2/04)
 */
public class m05bGenerarDescripcionServlet extends javax.servlet.http.HttpServlet {m05bFileLog miLog = new m05bFileLog();
	
/**
 * Process incoming HTTP GET requests 
 * 
 * @param request Object that encapsulates the request to the servlet 
 * @param response Object that encapsulates the response from the servlet
 */
public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException {

	performTask(request, response);

}
/**
 * Returns the servlet info string.
 */
public String getServletInfo() {

	return super.getServletInfo();

}
/**
 * Initializes the servlet.
 */
public void init() {
	// insert code to initialize the servlet here

}
/**
 * Process incoming requests for information
 * 
 * @param request Object that encapsulates the request to the servlet 
 * @param response Object that encapsulates the response from the servlet
 */
public void performTask(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) {

	try

	{
		// Insert user code from here.

		long tabla;
		//long codigo;
		String codigo="";
		String sURL = "";
		String msg;
		HttpSession session = request.getSession(true);
		
		
		tabla = new Long(request.getParameter("Tabla")).longValue();
		//codigo = new Long(request.getParameter("Codigo")).longValue();
		codigo = request.getParameter("Codigo");

		try{
		    session.removeAttribute("m05bDescripcion");
			m05DescripcionPK primaryKey = new m05DescripcionPK();
			primaryKey.des_tabla = tabla;
			primaryKey.des_codigo = codigo;
			InitialContext ctx2 = new InitialContext();
			m05DescripcionHome descripcionEBHome = (m05DescripcionHome) ctx2.lookup("m05Descripcion");
			m05Descripcion descripcionEB = descripcionEBHome.findByPrimaryKey(primaryKey);
			m05bDescripcion descripcion = descripcionEB.getDescripcion();
			

			session.setAttribute("m05bDescripcion", descripcion);
			

	    	sURL = response.encodeRedirectURL("m05bDescripcionesJsp.jsp?Tabla= " + tabla + "&Codigo=" + codigo + "&Mensaje=false");
		    RequestDispatcher rd;
		    rd = request.getRequestDispatcher(sURL);
		    try{
		      rd.forward(request, response);
	    	} 
		    catch (ServletException e){
		    	response.sendRedirect("m05bError.jsp");
		    }    	
		} catch (Exception SQLException) {
			miLog.addTraza(SQLException);
			response.sendRedirect("m05bError.jsp");
		}

	}
	catch(Throwable theException)
	{
		try {
			// uncomment the following line when unexpected exceptions
			// are occuring to aid in debugging the problem.
			//miLog.addTraza(theException);
			response.sendRedirect("m05bError.jsp");
		} catch (IOException e) {
			// TODO Auto-generated catch block
			miLog.addTraza(e);
		}
	}
}
}
